Package org.eclipse.m2m.atl.engine.vm

# Class StackFrame

java.lang.Object
org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
org.eclipse.m2m.atl.engine.vm.StackFrame

Direct Known Subclasses:
  `ASMStackFrame`, `LocalObjectReference.ADWPStackFrame`, `NativeStackFrame`

public abstract class StackFrame extends ASMOclAny

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Debugger`
`debugger`
`static ASMOclType`
`myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

## Constructor Summary

Constructors
Constructor
Description
`StackFrame(ASMOclType myType, ExecEnv execEnv, Operation operation, List args)`

## Method Summary

Modifier and Type
Method
Description
`StackFrame`
`enterFrame(Operation op, List enterArgs)`
`List`
`getArgs()`
`ExecEnv`
`getExecEnv()`
`ASMModel`
`getModel(String name)`
`Map`
`getModels()`
`Operation`
`getOperation()`
`String`
`getOpName()`
`StackFrame`
`getParent()`
`ASMSequence`
`getStack()`
`ASMOclAny`
`leaveFrame()`
`void`
`printStackTrace()`
`void`
`printStackTrace(Exception e)`
`void`
`printStackTrace(String msg)`
`void`
`printStackTrace(String msg, Exception e)`
`void`
`setParent(StackFrame parent)`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, get, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### myType

public static ASMOclType myType

### debugger

protected Debugger debugger

## Constructor Details

### StackFrame

public StackFrame(ASMOclType myType, ExecEnv execEnv, Operation operation, List args)

## Method Details

### enterFrame

public StackFrame enterFrame(Operation op, List enterArgs)

### getParent

public StackFrame getParent()

### setParent

public void setParent(StackFrame parent)

### leaveFrame

public ASMOclAny leaveFrame()

### getExecEnv

public ExecEnv getExecEnv()

### getOperation

public Operation getOperation()

### getModel

public ASMModel getModel(String name)

### getModels

public Map getModels()

### printStackTrace

public void printStackTrace()

### printStackTrace

public void printStackTrace(Exception e)

### printStackTrace

public void printStackTrace(String msg)

### printStackTrace

public void printStackTrace(String msg, Exception e)

### getArgs

public List getArgs()

### getStack

public ASMSequence getStack()

### getOpName

public String getOpName()